List Compound Aggregations - m3ter Documentation
List Compound Aggregations
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/compoundaggregations \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/compoundaggregations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/compoundaggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
200
{
"data": [
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"quantityPerUnit": 123,
"unit": "<string>",
"code": "<string>",
"segments": [
{}
],
"accountingProductId": "<string>",
"calculation": "<string>",
"productId": "<string>",
"evaluateNullAggregations": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
Authorization
String
Header
Required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId
String
Required
The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
- pageSize
Integer
Specifies the maximum number of Compound Aggregations to retrieve per page. Required range:1 <= x <= 100 - nextToken
String
ThenextTokenfor multi-page retrievals. It is used to fetch the next page of Compound Aggregations in a paginated list. - productId
String[]
An optional parameter to filter the Compound Aggregations based on specific Product unique identifiers (UUIDs). - ids
String[]
An optional parameter to retrieve specific Compound Aggregations based on their unique identifiers (UUIDs). - codes
String[]
An optional parameter to retrieve specific Compound Aggregations based on their short codes.